import 'package:myfatoorah_flutter/myfatoorah_flutter.dart';
import 'package:myfatoorah_flutter/utils/MFEnvironment.dart';

import 'URLs.dart';

enum MFCountry {
  KUWAIT,
  SAUDI_ARABIA,
  BAHRAIN,
  UNITED_ARAB_EMIRATES,
  QATAR,
  OMAN,
  JORDAN,
  EGYPT
}

class URL implements MFBaseURL {

  MFCountry? _mfCountry;

  URL(MFCountry mfCountry) {
    this._mfCountry = mfCountry;
  }

  @override
  String getURL(MFEnvironment environment) {
    switch (_mfCountry) {
      case MFCountry.SAUDI_ARABIA:
        switch (environment) {
          case MFEnvironment.LIVE:
            return URLs.SAUDI_LIVE_URL;
          default:
            return BaseURL.getBaseURL(environment);
        }

      default:
        return BaseURL.getBaseURL(environment);
    }
  }
}